Developer Documentation

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
OpenMesh::Decimater::ModAspectRatioT< MeshT > Class Template Reference

Use aspect ratio to control decimation. More...

`#include <OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Tools/Decimater/ModAspectRatioT.hh>`

Inheritance diagram for OpenMesh::Decimater::ModAspectRatioT< MeshT >:

## Public Types
typedef Mesh::Scalar | Scalar
typedef Mesh::Point | Point
Public Types inherited from OpenMesh::Decimater::ModBaseT< MeshT >
enum | { ILLEGAL_COLLAPSE = -1, LEGAL_COLLAPSE = 0 }
typedef MeshT | Mesh
typedef CollapseInfoT< MeshT > | CollapseInfo

## Public Member Functions
| ModAspectRatioT (MeshT &_mesh, float _min_aspect=5.0, bool _is_binary=true)
| constructor
| ~ModAspectRatioT ()
| destructor
float | aspect_ratio () const
| get aspect ratio
void | set_aspect_ratio (float _f)
| set aspect ratio
void | initialize ()
| precompute face aspect ratio
float | collapse_priority (const CollapseInfo &_ci)
| Returns the collapse priority.
void | preprocess_collapse (const CollapseInfo &_ci)
| update aspect ratio of one-ring
void | set_error_tolerance_factor (double _factor)
| set percentage of aspect ratio
Public Member Functions inherited from OpenMesh::Decimater::ModBaseT< MeshT >
virtual | ~ModBaseT ()
| Virtual desctructor.
| DECIMATER_MODNAME (ModBase)
| Set module's name (using DECIMATER_MODNAME macro)
bool | is_binary (void) const
| Returns true if criteria returns a binary value.
void | set_binary (bool _b)
| Set whether module is binary or not.
virtual void | postprocess_collapse (const CollapseInfoT< MeshT > &)

## Private Member Functions
Scalar | aspectRatio (const Point &_v0, const Point &_v1, const Point &_v2)
| return aspect ratio (length/height) of triangle More...

## Private Attributes
Mesh & | mesh_
float | min_aspect_
FPropHandleT< float > | aspect_

## Additional Inherited Members
Protected Member Functions inherited from OpenMesh::Decimater::ModBaseT< MeshT >
| ModBaseT (MeshT &_mesh, bool _is_binary)
MeshT & | mesh ()
| Access the mesh associated with the decimater.
Protected Attributes inherited from OpenMesh::Decimater::ModBaseT< MeshT >
double | error_tolerance_factor_

## Detailed Description

### template<class MeshT>
class OpenMesh::Decimater::ModAspectRatioT< MeshT >

Use aspect ratio to control decimation.

This module computes the aspect ratio.

In binary mode, the collapse is legal if:

- The aspect ratio after the collapse is greater
- The aspect ratio after the collapse is greater than the given minimum

In continuous mode the collapse is illegal if:

- The aspect ratio after the collapse is smaller than the given minimum

Definition at line 81 of file ModAspectRatioT.hh.

## Member Function Documentation

## ◆ aspectRatio()

template<class MeshT >

ModAspectRatioT< MeshT >::Scalar OpenMesh::Decimater::ModAspectRatioT< MeshT >::aspectRatio | ( | const Point & | _v0,
|  | const Point & | _v1,
|  | const Point & | _v2
| ) |  |
| private

return aspect ratio (length/height) of triangle

Definition at line 65 of file ModAspectRatioT_impl.hh.

The documentation for this class was generated from the following files:

- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Tools/Decimater/ModAspectRatioT.hh
- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Tools/Decimater/ModAspectRatioT_impl.hh